Subject: RE: grow: draft-griffin-bgp-wedgies-00.txt as a WG document?

From: "Griffin, Tim" <[email-masked]>
Date: Thu, 23 Sep 2004 08:34:18 +0100

Pekka, 

Thanks for your helpful comments. 

> substantial
> -----------
> 
> - is this intended as a "problem statement", or should this also 
> include some discussion as to the ways to avoid these problems?  I 
> think it would be important to discuss some mitigation techniques at 
> least somewhere...

I see it primarily as an informational "awareness raising" document --- 
Hopefully it will stimulate discussion, perhaps driven by more examples,

of what mitigations techniques might help. 

> - isn't there already a race-condition, leading to a 
> potential wedgie, 
> when first advertising the prefixes?  That is, in:
> 
>    In this case AS1 has marked its advertisement of prefixes to AS2 as
>    "backup only", and its advertisement of prefixes to AS4 as 
> "primary".
>    AS3 will hear AS4's advertisement across the peering link, and pick
>    of AS1's prefixes with the path "AS4, AS1".  AS3 will 
> advertise this
>    to AS2.  AS2 will hear two paths to AS1, the first is by the direct
>    connection to AS1, and the second is via the path "AS3, AS4, AS1".
>    AS2 will prefer the longer path as the directly connected 
> routes are
>    marked "backup only", and AS2's local preference decision 
> will prefer
>    the AS3 advertisement over the AS1 advertisement.
> 
> .. here, we are assuming that the "primary" link/router has been
> brought up first, yes?  For example, after a site-wide blackout [or
> just software maintenance of the primary router, though that is
> already included in 'path is broken'), it could be that the BGP
> advertisement through the backup path is fastest to propagate to AS3,
> leading to a similar wedgie, right?

Yes, we could make that more clear --- the routing policies allow two
distinct
stable routings, and how we fall into one or the other has to do with
history
(exactly the kind of thing we want to avoid if we ever hope to debug
problems!). 

---tim

_________________________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
web archive:        http://darkwing.uoregon.edu/~llynch/grow/